<?php

/*function vytvor_forum($idd) {              /*////////////////  Pridá nový prispevok do temy  ////////////////*/
/*    if ($link = spoj_s_db()) { 
			$sql = "INSERT INTO forum_forum SET id_fora='".$idd."',
			                                    meno_fora='".$_POST['reg_meno']."&prime; forum'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}*/
  
function vloz_uzivatela() {             /*////////////////  Zaregistruje nového užívateľa  ////////////////*/
  if ($link = spoj_s_db()) { 
    $sql = "INSERT INTO forum_pouzivatelia SET meno='" . addslashes(strip_tags($_POST['reg_meno'])) . "',
                                               nick='" . addslashes(strip_tags($_POST['reg_log'])) . "',
                                               heslo='" . addslashes(strip_tags($_POST['reg_heslo'])) . "',
                                               mail='" . addslashes(strip_tags($_POST['reg_mail'])) . "',
                                               nazov_fora='" . addslashes(strip_tags($_POST['reg_nick'])) .'&#39;s forum'."',
                                               sex='" . addslashes(strip_tags($_POST['reg_sex'])) . "'";
		$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} 
  else {
    echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}

function pridaj_temu() {              /*////////////////  Pridá novu temu do fora  ////////////////*/
    if ($link = spoj_s_db()) { 
      $tema = bbcode(nl2br(htmlspecialchars($_POST['tema'])));
      $popis = bbcode(nl2br(htmlspecialchars($_POST['popis'])));
			$sql = "INSERT INTO forum_temy SET id_fora='" . $_GET['f'] . "',
                                         tema='" . $tema . "',
			                                   popis='" . /*addslashes(strip_tags($_POST['popis']))*/$popis . "',
			                                   tema_orig='" . addslashes(strip_tags($_POST['tema'])) . "',
			                                   popis_orig='" . addslashes(strip_tags($_POST['popis'])) . "',
			                                   pristupnost='" .$_POST['pristupnost']. "',
                                         autor='".$_SESSION['nick']."'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}

function pridaj_prispevok() {              /*////////////////  Pridá nový prispevok do temy  ////////////////*/
    if ($link = spoj_s_db()) { 
      $sprava = bbcode(nl2br(htmlspecialchars($_POST['sprava'])));
			$sql = "INSERT INTO forum_prispevky SET id_fora='" . $_GET['f'] . "',
			                                        id_temy='" . $_GET['t'] . "',
                                              sprava='" . $sprava . "',
                                              sprava_orig='" . addslashes(strip_tags($_POST['sprava'])) . "',
			                                        autor='".$_SESSION['nick']."'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}

function pridaj_priatela($moje,$tvoje) {              /*////////////////  Pridá nového priateľa  ////////////////*/
    if ($link = spoj_s_db()) { 
			$sql = "INSERT INTO forum_priatelia SET moje_id='" . $moje . "',
			                                        tvoje_id='" . $tvoje . "'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}

function nahrad() {              /*////////////////  Pridá vzor a nahradu do bbcode  ////////////////*/
    if ($link = spoj_s_db()) { 
			$sql = "INSERT INTO forum_bbcode SET template='" . htmlspecialchars($_POST['vzor']) . "',
			                                     replacement='" . $_POST['nahrada'] . "'";
			$result = mysql_query($sql, $link);
			
		mysql_close($link);
	} else {
  		echo '<p>Nepodarilo sa spojiť s databázovým serverom</p>';
	}
}
  
?>
